Google Kubernetes Engine
- POST
- /workspaces
- /:workspace
- /targets
Create a new Google Kubernetes Engine deployment target
Request
REQUIRED SCOPES
TARGET_ADD
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
BODY PARAMETERS
typestring
The type of the targetValue: GKE
identifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).integrationrequiredstring
The integration. Required when adding GKE/EKS/AKS/DOKSclusterrequiredstring
The ID of the cluster or fully qualified identifier for the cluster. Required when the platform is set to GKEzonerequiredstring
GKE zone. E.g., europe-west3-aproject_idrequiredstring
The ID of the Google Cloud project. Required for GOOGLE_SERVICE_ACCOUNT integration type with OIDC auth_typeidstring
The ID of the targetnamestring
The name of the targetprojectShortProjectView
Short representation of a projectpipelineShortPipelineView
Short representation of a pipelineenvironmentShortEnvironmentView
Short representation of an environment objectpermissionsPermissionsView
Access permissions configurationpipelines_access_levelstring enum
Pipelines access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this targetsandboxes_access_levelstring enum
Sandboxes access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this targetdisabledboolean
Indicates if this target is disabled (default: false)tagsstring[]
The list of tags associated with the targetConstraints: Unique items required
use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)regionstring
EKS region, e.g. eu-central-1proxyTargetK8sProxyView
SSH proxy target for tunneling to private PostgreSQL serversResponse
RESPONSE BODY
typestring
The type of the targetValue: GKE
urlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidstring
The ID of the targetidentifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).namestring
The name of the targetprojectShortProjectView
Short representation of a projectpipelineShortPipelineView
Short representation of a pipelineenvironmentShortEnvironmentView
Short representation of an environment objectpermissionsPermissionsView
Access permissions configurationpipelines_access_levelstring enum
Pipelines access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this targetsandboxes_access_levelstring enum
Sandboxes access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this targetdisabledboolean
Indicates if this target is disabled (default: false)tagsstring[]
The list of tags associated with the targetConstraints: Unique items required
use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)integrationrequiredstring
The integration. Required when adding GKE/EKS/AKS/DOKSclusterrequiredstring
The ID of the cluster or fully qualified identifier for the cluster. Required when the platform is set to GKEregionstring
EKS region, e.g. eu-central-1proxyTargetK8sProxyView
SSH proxy target for tunneling to private PostgreSQL serverszonerequiredstring
GKE zone. E.g., europe-west3-aproject_idrequiredstring
The ID of the Google Cloud project. Required for GOOGLE_SERVICE_ACCOUNT integration type with OIDC auth_typeLast modified on Apr 27, 2026
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/targets" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"type": "GKE",
"identifier": "gke-production",
"name": "GKE Production Cluster",
"integration": "google-cloud-integration",
"cluster": "production-cluster",
"region": "us-central1",
"project_id": "my-gcp-project",
"zone": "us-central1-a",
"tags": [
"kubernetes",
"gcp",
"production"
]
}'STATUS201 Created